Summary:        Image viewer at heart, though it does other cool stuff
Name:           feh
Version:        2.0
Release:        %mkrel 1
License:        MIT
Group:          Graphics
URL:            https://derf.homelinux.org/projects/feh/

Source0:        https://derf.homelinux.org/projects/feh/%{name}-%{version}.tar.bz2
Source1:        %{name}-icons.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-buildroot
Buildrequires:  imlib2-devel libxt-devel libxinerama-devel
Buildrequires:  giblib-devel
Buildrequires:  jpeg-devel 
BuildRequires:  png-devel
BuildRequires:  curl-devel

%description
Feh is an image viewer, but it does a whole lot of other cool stuff as
well. There are simply too many to mention them here so please check the
docs/homepage.


%prep
%setup -q
%setup -q -T -D -a1

%build
%setup_compile_flags
%make PREFIX=/usr

%install
%__rm -rf %{buildroot}
%makeinstall_std PREFIX=%{_prefix}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;
EOF


%__install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png
%__install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png
%__install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png


%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

#let files section handle docs
rm -rf %{buildroot}%{_docdir}%{name}

%clean
%__rm -rf %{buildroot}


%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog README TODO examples
%{_datadir}/%{name}/fonts/*
%{_datadir}/%{name}/images/*
%{_mandir}/man1/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*




%changelog
* Mon Oct 10 2011 Andrey Bondrov <abondrov@mandriva.org> 2.0-1mdv2010.1
+ Revision: 704020
- New version 2.0

* Sun Mar 20 2011 Jani Välimaa <wally@mandriva.org> 1.12-1
+ Revision: 647158
- new version 1.12
- fix license
- add curl-devel BR
- fix doc files handling

* Tue Oct 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10-1mdv2011.0
+ Revision: 585182
- update to 1.10

* Sun Aug 29 2010 Jani Välimaa <wally@mandriva.org> 1.9-1mdv2011.0
+ Revision: 574237
- update to new version 1.9

* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 1.8-2mdv2011.0
+ Revision: 557287
- fix desktop file

* Mon Jul 19 2010 Gustavo De Nardin <gustavodn@mandriva.com> 1.8-1mdv2011.0
+ Revision: 554901
- upgraded to version 1.8, from new maintainer, pointed by Sandro Cazzaniga
  <kharec(at)mandriva.org>
- URLs updated to new site
- str format patch unneeded in new version

* Tue Sep 01 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.3.4-8mdv2010.0
+ Revision: 423188
- string format fix

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild for new libjpeg
    - rebuild for new libjpeg

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.3.4-6mdv2009.0
+ Revision: 245079
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 1.3.4-4mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - fix man pages


* Fri Feb 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-4mdv2007.0
+ Revision: 118457
- fix buildrequires
- Import feh

* Fri Feb 09 2007 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.4-4mdv2007.1
- rebuild to sync x86_64

* Tue Aug 08 2006 Lenny Cartier <lenny@mandriva.com> 1.3.4-3mdv2007.0
- xdg

* Wed May 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-2mdk
- fix buildrequires (and thus build on x86_64)

* Wed Mar 29 2006 Jerome Soyer <saispo@mandriva.org> 1.3.4-1mdk
- New release 1.3.4

* Fri Oct 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-2mdk
- Fix BuildRequires

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- New release 1.3.3
- Fix BuildRequires
- mkrel

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

